Bjoern,

I am not getting the same error.  However, it is still failing.  I get the 
following banner:

This tool dependency is not installed correctly (see the Tool dependency 
installation error below). Choose Uninstall this tool dependency from the 
Repository Actions menu, correct problems if necessary, and try installing the 
dependency again.

And the following information is listed:

Tool shed repository: snpeff
Tool shed repository changeset revision: e8adfc4c0a6b
Tool dependency status: Error
Tool dependency installation error: This tool dependency's required tool 
dependency snpEff version 3.4 has status Error.
Tool dependency installation directory: 
./../shed_tools/tool_dependencies/snpEff/3.4/iuc/snpeff/e8adfc4c0a6b
Contents:
snpEff<http://galaxy2/admin_toolshed/browse_tool_dependency?repository_id=0dd27a44d4d97a53&operation=browse&tool_dependency_ids=53b036f027c29984#>
env.sh<http://galaxy2/admin_toolshed/browse_tool_dependency?repository_id=0dd27a44d4d97a53&operation=browse&tool_dependency_ids=53b036f027c29984#>
if [ -f 
/hpcdata/galaxy-test/galaxy-setup/shed_tools/tool_dependencies/snpEff/3.4/iuc/package_snpeff_3_4/af7ff8187d09/env.sh
 ] ; then . 
/hpcdata/galaxy-test/galaxy-setup/shed_tools/tool_dependencies/snpEff/3.4/iuc/package_snpeff_3_4/af7ff8187d09/env.sh
 ; fi

Thanks,
Iry

From: "bjoern.gruen...@googlemail.com<mailto:bjoern.gruen...@googlemail.com>" 
<bjoern.gruen...@gmail.com<mailto:bjoern.gruen...@gmail.com>>
Date: Wednesday, August 6, 2014 1:16 PM
To: Iry Witham <iry.wit...@jax.org<mailto:iry.wit...@jax.org>>
Cc: Greg Von Kuster <g...@bx.psu.edu<mailto:g...@bx.psu.edu>>, 
"galaxy-dev@lists.bx.psu.edu<mailto:galaxy-dev@lists.bx.psu.edu>" 
<galaxy-dev@lists.bx.psu.edu<mailto:galaxy-dev@lists.bx.psu.edu>>
Subject: Re: [galaxy-dev] Issues with dependencies for toolshed packages

Iry,

are you seeing the same error with:
 https://toolshed.g2.bx.psu.edu/view/iuc/snpeff

Cheers,
Bjoern



2014-08-06 19:12 GMT+02:00 Iry Witham 
<iry.wit...@jax.org<mailto:iry.wit...@jax.org>>:
Hi Greg,

That resolved the internal server error issue.  Now I need to figure out the 
issue with the dependencies.  I was unable to post the actual error message 
previously, but am doing so now.  Here is the error I get for the dependency 
installation:

Name    Version Type    Status  Error
snpEff 
<http://galaxy2/admin_toolshed/manage_repository_tool_dependencies?repository_id=b1254334b8763c9c&operation=browse&tool_dependency_ids=81424a9b99396c5a>
         3.6     package Error     File 
"/hpcdata/galaxy-test/galaxy-setup/galaxy-dist/lib/tool_shed/galaxy_install/install_manager.py",
 line 110, in install_and_build_package_via_fabric
    tool_dependency = self.install_and_build_package( app, 
tool_shed_repository, tool_dependency, actions_dict )
  File 
"/hpcdata/galaxy-test/galaxy-setup/galaxy-dist/lib/tool_shed/galaxy_install/install_manager.py",
 line 103, in install_and_build_package
    dir = tmp_dir
  File "/usr/lib64/python2.6/contextlib.py", line 34, in __exit__
    self.gen.throw(type, value, traceback)
  File 
"/hpcdata/galaxy-test/galaxy-setup/galaxy-dist/eggs/Fabric-1.7.0-py2.6.egg/fabric/context_managers.py",
 line 142, in _setenv
    yield
  File 
"/hpcdata/galaxy-test/galaxy-setup/galaxy-dist/lib/tool_shed/galaxy_install/install_manager.py",
 line 68, in install_and_build_package
    initial_download=True )
  File 
"/hpcdata/galaxy-test/galaxy-setup/galaxy-dist/lib/tool_shed/galaxy_install/tool_dependencies/recipe/recipe_manager.py",
 line 32, in execute_step
    initial_download=initial_download )
  File 
"/hpcdata/galaxy-test/galaxy-setup/galaxy-dist/lib/tool_shed/galaxy_install/tool_dependencies/recipe/step_handler.py",
 line 397, in execute_step
    dir = td_common_util.url_download( work_dir, downloaded_filename, url, 
extract=True )
  File 
"/hpcdata/galaxy-test/galaxy-setup/galaxy-dist/lib/tool_shed/galaxy_install/tool_dependencies/td_common_util.py",
 line 560, in url_download
    extraction_path = archive.extract( install_dir )
  File 
"/hpcdata/galaxy-test/galaxy-setup/galaxy-dist/lib/tool_shed/galaxy_install/tool_dependencies/td_common_util.py",
 line 60, in extract
    self.archive.extractall( os.path.join( path ) )
  File "/usr/lib64/python2.6/zipfile.py", line 940, in extractall
    self.extract(zipinfo, path, pwd)
  File "/usr/lib64/python2.6/zipfile.py", line 928, in extract
    return self._extract_member(member, path, pwd)
  File "/usr/lib64/python2.6/zipfile.py", line 965, in _extract_member
    target = file(targetpath, "wb")

[Errno 20] Not a directory: 
'database/tmp/tmp-toolshed-mtdCAL19a/snpEff/snpEff.config'



This current package is owned by jjohnson and is located in the test toolshed.

Thanks,
Iry



From: Greg Von Kuster <g...@bx.psu.edu<mailto:g...@bx.psu.edu>>
Date: Wednesday, August 6, 2014 12:34 PM
To: Iry Witham <iry.wit...@jax.org<mailto:iry.wit...@jax.org>>
Cc: "galaxy-dev@lists.bx.psu.edu<mailto:galaxy-dev@lists.bx.psu.edu>" 
<galaxy-dev@lists.bx.psu.edu<mailto:galaxy-dev@lists.bx.psu.edu>>
Subject: Re: [galaxy-dev] Issues with dependencies for toolshed packages

Hi Iry,

Sorry for the inconvenience.  The tool shed server was out of space - I've 
corrected the problem and have successfully installed repositories.  Please try 
again and let us know if you encounter problems.

Thanks!

Greg Von Kuster


On Aug 6, 2014, at 12:20 PM, Iry Witham 
<iry.wit...@jax.org<mailto:iry.wit...@jax.org>> wrote:

Hi Team,

I have been trying to install package_snpEff_3_5 from the Galaxy main tool shed 
and package_snpEff_3_6 from the Galaxy test tool shed and have the same issue.  
Once the installer completes it shows that the dependency snpEff.x.x was not 
installed.  When I try to install the dependency it reports that the directory 
/hpcdata/galaxy-test/galaxy-setup/galaxy-dist/database/tmp/tmp-toolshed-mtdi48tQV/snpEff
 does not exist.  I have checked to confirm that this is true and discovered 
that rather then a directory I find a null file named "snpEff and the 
snpEff_v3.x_core.zip file.  I checked my shedtool dependencies folder and the 
directory for these tools are empty.  I have since uninstalled the package.  I 
just tried again to install the snpEff tool and am getting the followig error 
message:

Internal Server Error
Galaxy was unable to successfully complete your request
URL: 
http://galaxy2/admin_toolshed/prepare_for_install?tool_shed_url=https://toolshed.g2.bx.psu.edu/&repository_ids=76ad6cd032d7117e&changeset_revisions=04d2a4f81413
Module galaxy.web.framework.middleware.error:149 in __call__
>>  
>> <http://galaxy2/admin_toolshed/prepare_for_install?tool_shed_url=https://toolshed.g2.bx.psu.edu/&repository_ids=76ad6cd032d7117e&changeset_revisions=04d2a4f81413#>
>>  app_iter = self.application(environ,sr_checker)
Module paste.recursive:84 in __call__
>>  
>> <http://galaxy2/admin_toolshed/prepare_for_install?tool_shed_url=https://toolshed.g2.bx.psu.edu/&repository_ids=76ad6cd032d7117e&changeset_revisions=04d2a4f81413#>
>>  return self.application(environ,start_response)
Module paste.httpexceptions:633 in __call__
>>  
>> <http://galaxy2/admin_toolshed/prepare_for_install?tool_shed_url=https://toolshed.g2.bx.psu.edu/&repository_ids=76ad6cd032d7117e&changeset_revisions=04d2a4f81413#>
>>  return self.application(environ,start_response)
Module galaxy.web.framework.base:132 in __call__
>>  
>> <http://galaxy2/admin_toolshed/prepare_for_install?tool_shed_url=https://toolshed.g2.bx.psu.edu/&repository_ids=76ad6cd032d7117e&changeset_revisions=04d2a4f81413#>
>>  return self.handle_request(environ,start_response)
Module galaxy.web.framework.base:190 in handle_request
>>  
>> <http://galaxy2/admin_toolshed/prepare_for_install?tool_shed_url=https://toolshed.g2.bx.psu.edu/&repository_ids=76ad6cd032d7117e&changeset_revisions=04d2a4f81413#>
>>  body = method(trans,**kwargs)
Module galaxy.web.framework:377 in decorator
>>  
>> <http://galaxy2/admin_toolshed/prepare_for_install?tool_shed_url=https://toolshed.g2.bx.psu.edu/&repository_ids=76ad6cd032d7117e&changeset_revisions=04d2a4f81413#>
>>  return func(self,trans,*args,**kwargs)
Module galaxy.webapps.galaxy.controllers.admin_toolshed:1035 in 
prepare_for_install
>>  
>> <http://galaxy2/admin_toolshed/prepare_for_install?tool_shed_url=https://toolshed.g2.bx.psu.edu/&repository_ids=76ad6cd032d7117e&changeset_revisions=04d2a4f81413#>
>>  raw_text = common_util.tool_shed_get(trans.app,tool_shed_url,url)
Module tool_shed.util.common_util:310 in tool_shed_get
>>  
>> <http://galaxy2/admin_toolshed/prepare_for_install?tool_shed_url=https://toolshed.g2.bx.psu.edu/&repository_ids=76ad6cd032d7117e&changeset_revisions=04d2a4f81413#>
>>  response = urlopener.open(uri)

Module urllib2:395 in open
>>  
>> <http://galaxy2/admin_toolshed/prepare_for_install?tool_shed_url=https://toolshed.g2.bx.psu.edu/&repository_ids=76ad6cd032d7117e&changeset_revisions=04d2a4f81413#>
>>  response = meth(req,response)
Module urllib2:508 in http_response
>>  
>> <http://galaxy2/admin_toolshed/prepare_for_install?tool_shed_url=https://toolshed.g2.bx.psu.edu/&repository_ids=76ad6cd032d7117e&changeset_revisions=04d2a4f81413#>
>>  'http', request,response,code,msg,hdrs)

Module urllib2:427 in error
>>  
>> <http://galaxy2/admin_toolshed/prepare_for_install?tool_shed_url=https://toolshed.g2.bx.psu.edu/&repository_ids=76ad6cd032d7117e&changeset_revisions=04d2a4f81413#>
>>  result = self._call_chain(*args)
Module urllib2:367 in _call_chain
>>  
>> <http://galaxy2/admin_toolshed/prepare_for_install?tool_shed_url=https://toolshed.g2.bx.psu.edu/&repository_ids=76ad6cd032d7117e&changeset_revisions=04d2a4f81413#>
>>  result = func(*args)
Module urllib2:603 in http_error_302
>>  
>> <http://galaxy2/admin_toolshed/prepare_for_install?tool_shed_url=https://toolshed.g2.bx.psu.edu/&repository_ids=76ad6cd032d7117e&changeset_revisions=04d2a4f81413#>
>>  return self.parent.open(new)
Module urllib2:395 in open
>>  
>> <http://galaxy2/admin_toolshed/prepare_for_install?tool_shed_url=https://toolshed.g2.bx.psu.edu/&repository_ids=76ad6cd032d7117e&changeset_revisions=04d2a4f81413#>
>>  response = meth(req,response)
Module urllib2:508 in http_response
>>  
>> <http://galaxy2/admin_toolshed/prepare_for_install?tool_shed_url=https://toolshed.g2.bx.psu.edu/&repository_ids=76ad6cd032d7117e&changeset_revisions=04d2a4f81413#>
>>  'http', request,response,code,msg,hdrs)

Module urllib2:433 in error
>>  
>> <http://galaxy2/admin_toolshed/prepare_for_install?tool_shed_url=https://toolshed.g2.bx.psu.edu/&repository_ids=76ad6cd032d7117e&changeset_revisions=04d2a4f81413#>
>>  return self._call_chain(*args)
Module urllib2:367 in _call_chain
>>  
>> <http://galaxy2/admin_toolshed/prepare_for_install?tool_shed_url=https://toolshed.g2.bx.psu.edu/&repository_ids=76ad6cd032d7117e&changeset_revisions=04d2a4f81413#>
>>  result = func(*args)
Module urllib2:516 in http_error_default
>>  
>> <http://galaxy2/admin_toolshed/prepare_for_install?tool_shed_url=https://toolshed.g2.bx.psu.edu/&repository_ids=76ad6cd032d7117e&changeset_revisions=04d2a4f81413#>
>>  raise HTTPError(req.get_full_url(),code,msg,hdrs,fp)

HTTPError: HTTP Error 500: Internal Server Error
extra 
data<http://galaxy2/admin_toolshed/prepare_for_install?tool_shed_url=https://toolshed.g2.bx.psu.edu/&repository_ids=76ad6cd032d7117e&changeset_revisions=04d2a4f81413#extra_data>

full 
traceback<http://galaxy2/admin_toolshed/prepare_for_install?tool_shed_url=https://toolshed.g2.bx.psu.edu/&repository_ids=76ad6cd032d7117e&changeset_revisions=04d2a4f81413#full_traceback>

text 
version<http://galaxy2/admin_toolshed/prepare_for_install?tool_shed_url=https://toolshed.g2.bx.psu.edu/&repository_ids=76ad6cd032d7117e&changeset_revisions=04d2a4f81413#text_version>

This may be an intermittent problem due to load or other unpredictable factors, 
reloading the page may address the problem.

I appreciate any possible assistance,

Regards,
__________________________________
Iry T. Witham
Scientific Applications Administrator
Scientific Computing Group
Computational Sciences Dept.
The Jackson Laboratory
600 Main Street
Bar Harbor, ME  04609
Phone: 207-288-6744
email: iry.wit...@jax.org


<372D007A-1B00-4668-BA6B-F0527C1F24BE[34][3][1].png>


The information in this email, including attachments, may be confidential and 
is intended solely for the addressee(s). If you believe you received this email 
by mistake, please notify the sender by return email as soon as possible.
___________________________________________________________
Please keep all replies on the list by using "reply all"
in your mail client.  To manage your subscriptions to this
and other Galaxy lists, please use the interface at:
 http://lists.bx.psu.edu/

To search Galaxy mailing lists use the unified search at:
 http://galaxyproject.org/search/mailinglists/


The information in this email, including attachments, may be confidential and 
is intended solely for the addressee(s). If you believe you received this email 
by mistake, please notify the sender by return email as soon as possible.

___________________________________________________________
Please keep all replies on the list by using "reply all"
in your mail client.  To manage your subscriptions to this
and other Galaxy lists, please use the interface at:
  http://lists.bx.psu.edu/

To search Galaxy mailing lists use the unified search at:
  http://galaxyproject.org/search/mailinglists/


The information in this email, including attachments, may be confidential and 
is intended solely for the addressee(s). If you believe you received this email 
by mistake, please notify the sender by return email as soon as possible.
___________________________________________________________
Please keep all replies on the list by using "reply all"
in your mail client.  To manage your subscriptions to this
and other Galaxy lists, please use the interface at:
  http://lists.bx.psu.edu/

To search Galaxy mailing lists use the unified search at:
  http://galaxyproject.org/search/mailinglists/

Reply via email to